Skip to main content
GET
/
api
/
v1
/
dm-templates
/
{id}
Get DM Template
curl --request GET \
  --url https://www.catchthegoodones.com/api/v1/dm-templates/{id}
{
  "template": {
    "id": 1,
    "name": "Intro message",
    "messageBody": "Hi! I noticed you recently followed me. I'd love to connect.",
    "createdAt": "2026-04-10T12:00:00.000Z",
    "updatedAt": "2026-04-10T12:00:00.000Z"
  }
}
Returns a single DM template by ID.

Headers

HeaderRequiredDescription
AuthorizationYesBearer ctgo_your_api_key_here

Path parameters

ParameterTypeDescription
idintegerThe template ID

Example

curl https://www.catchthegoodones.com/api/v1/dm-templates/1 \
  -H "Authorization: Bearer ctgo_your_api_key_here"

Response

{
  "template": {
    "id": 1,
    "name": "Intro message",
    "messageBody": "Hi! I noticed you recently followed me. I'd love to connect.",
    "createdAt": "2026-04-10T12:00:00.000Z",
    "updatedAt": "2026-04-10T12:00:00.000Z"
  }
}